org.richfaces.fragment.popupPanel

## Class RichFacesPopupPanel<HEADER,HEADERCONTROLS,BODY>

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.popupPanel.RichFacesPopupPanel<HEADER,HEADERCONTROLS,BODY>

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>, Panel<HEADER,BODY>, PopupPanel<HEADER,HEADERCONTROLS,BODY>
  Direct Known Subclasses:
    TextualRichFacesPopupPanel

      public abstract class RichFacesPopupPanel<HEADER,HEADERCONTROLS,BODY>
      extends AbstractPanel<HEADER,BODY>
      implements PopupPanel<HEADER,HEADERCONTROLS,BODY>, AdvancedVisibleComponentIteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPopupPanel.AdvancedPopupPanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.popupPanel.PopupPanel

      `PopupPanel.ResizerLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPopupPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesPopupPanel.AdvancedPopupPanelInteractions` | `advanced()`
    `protected Class<HEADERCONTROLS>` | `getHeaderControlsClass()`
    `HEADERCONTROLS` | `getHeaderControlsContent()` Gets the controls of the popup panel.

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.panel.Panel

      `getBodyContent, getHeaderContent`

- - ### Constructor Detail

    - #### RichFacesPopupPanel

          public RichFacesPopupPanel()

  - ### Method Detail

    - #### advanced

          public RichFacesPopupPanel.AdvancedPopupPanelInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>`
      Specified by:
        `advanced` in class `AbstractPanel<HEADER,BODY>`

    - #### getHeaderControlsContent

          public HEADERCONTROLS getHeaderControlsContent()

      Description copied from interface: `PopupPanel`
      Gets the controls of the popup panel. They are user defined controls usually to close popup panel.
      Specified by:
        `getHeaderControlsContent` in interface `PopupPanel<HEADER,HEADERCONTROLS,BODY>`
      Returns:
        the object representing popup panel controls

    - #### getHeaderControlsClass

          protected Class<HEADERCONTROLS> getHeaderControlsClass()

      Returns:
        the headerClass

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.